#version 410


#pragma include "vertex.glsl"
#pragma include "spect.glsl"
#pragma include "effects.glsl"
#pragma include "colors.glsl"


#define Q0 0.0
#define Q1 HALF_PI
#define Q2 PI
#define Q3 3.0 * HALF_PI

uniform float u_Alpha;

void main() {
    BEGIN;

    END_TRIANGLE;

    vertColor.rgb = vec3(1.0); // Default color
    vertColor.a = u_Alpha;

    // Transform the vertex position by the Model-View matrix
    vertNormal = normalize(p3d_NormalMatrix * p3d_Normal);
    tangent = normalize(p3d_NormalMatrix * p3d_Tangent);
//    binormal = normalize(p3d_NormalMatrix * p3d_Binormal);
    binormal = cross(vertNormal, tangent);
}
